# Yokogawa GS200 Source

class pymeasure.instruments.yokogawa.YokogawaGS200(adapter, name='Yokogawa GS200 Source', **kwargs)

  Bases: `SCPIUnknownMixin`, `Instrument`

  Represents the Yokogawa GS200 source and provides a high-level interface for interacting with the instrument.

  property current_limit

    Control the current limit. “Limit” refers to maximum value of the electrical value that is conjugate to the mode (current is conjugate to voltage, and vice versa). Thus, current limit is only applicable when in ‘voltage’ mode

  property source_enabled

    Control whether the source is enabled. (bool)

  property source_level

    Control the output level, either a voltage or a current, depending on the source mode. (float)

  property source_mode

    Control the source mode. Can be either ‘current’ or ‘voltage’.

  property source_range

    Control the range (either in voltage or current) of the output. “Range” refers to the maximum source level. (float)

  trigger_ramp_to_level(level, ramp_time)

    Ramp the output level from its current value to “level” in time “ramp_time”. This method will NOT wait until the ramp is finished (thus, it will not block further code evaluation).

    Parameters:

      - level (float) – final output level

      - ramp_time (float) – time in seconds to ramp

    Returns:

      None

  property voltage_limit

    Control the voltage limit. “Limit” refers to maximum value of the electrical value that is conjugate to the mode (current is conjugate to voltage, and vice versa). Thus, voltage limit is only applicable when in ‘current’ mode